Subject: bug#7469: 24.0.50; report-emacs-bug is broken again (on Windows)

From: Glenn Morris <[email-masked]>
Date: Tue, 23 Nov 2010 17:52:11 -0500

Lars Magne Ingebrigtsen wrote:

> It was so that HTML rendered in Emacs would use Emacs to send the email,
> instead of popping up a browser window.  Which often doesn't work, since
> you need to have mail configured in your browser...

Apparently the situation is the reverse on MS-Windows and Macs: mail
from Emacs often doesn't work, and simply punting to the system's
mailto: handler is a better guess.

> So report-emacs-bug tries to determine whether Emacs can send mail, and
> if it can't, it tries to open a browser, in the hope that it knows how
> to send mail?  In what situations does this occur?

Not really, more like by default it doesn't even try on Windows and Macs.
Check the conditions in which send-mail-function defaults to
mailclient-send-it. I suggest you copy those conditions to the default
setting of browse-url-browser-function.